Skip to main content
GET
/
api
/
v1
/
question-logic
Get Question Logic
curl --request GET \
  --url https://api.getversive.com/api/v1/question-logic \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "logic_123",
    "study_id": "study_123",
    "question_id": "q_123",
    "operation": "equals",
    "comparison_value": "yes",
    "comparison_value_type": "text",
    "next_question_id": "q_124",
    "redirect_url": null,
    "end_interview": false,
    "action_type": "skip_to",
    "language": "English"
  }
]
Retrieve the logic rules associated with a specific question.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

question_id
string
required

ID of the question to retrieve logic for

Response

Successful Response